org.apache.flume.source.http

## Class HTTPBadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.FlumeException
        - - org.apache.flume.source.http.HTTPBadRequestException

- All Implemented Interfaces:
    Serializable

      public class HTTPBadRequestException
      extends FlumeException

  Exception thrown by an HTTP Handler if the request was not parsed correctly into an event because the request was not in the expected format.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPBadRequestException(String msg)`
    `HTTPBadRequestException(String msg, Throwable th)`
    `HTTPBadRequestException(Throwable th)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPBadRequestException

          public HTTPBadRequestException(String msg)

    - #### HTTPBadRequestException

          public HTTPBadRequestException(String msg,
                                 Throwable th)

    - #### HTTPBadRequestException

          public HTTPBadRequestException(Throwable th)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.